> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nuvia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sync settings

> Returns the settings for automatically creating contacts and deals in HubSpot



## OpenAPI

````yaml /en/openapi.json get /v1/hubspot/sync-settings
openapi: 3.0.0
info:
  title: Nuvia API - Company
  description: API documentation for companies
  version: '1.0'
  contact: {}
servers:
  - url: https://api.nuvia.ai
security: []
tags:
  - name: messages
    x-group: Mensagens
  - name: contacts
    x-group: Contatos
  - name: campaigns
    x-group: Campanhas
  - name: tables
    x-group: Tabelas e Listas
  - name: agents
    x-group: Agentes
  - name: conversations
    x-group: Conversas
  - name: inboxes
    x-group: Caixas de Entrada
  - name: knowledge
    x-group: Base de Conhecimento
  - name: Webhooks
    x-group: Webhooks
  - name: campaign-enrollments
    x-group: Inscrições em Campanha
  - name: custom-fields
    x-group: Campos Customizados
  - name: resources
    x-group: Arquivos e Anexos
  - name: hubspot
    x-group: HubSpot
paths:
  /v1/hubspot/sync-settings:
    get:
      tags:
        - hubspot
      summary: Get sync settings
      description: >-
        Returns the settings for automatically creating contacts and deals in
        HubSpot
      operationId: HubSpotController_getSyncSettings
      parameters: []
      responses:
        '200':
          description: Settings returned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSyncSettingsResponseDto'
        '401':
          description: Invalid or expired token
        '403':
          description: You do not have permission to access this resource
      security:
        - JWT-auth: []
components:
  schemas:
    GetSyncSettingsResponseDto:
      type: object
      properties:
        deal_name_template:
          type: string
          nullable: true
          description: >-
            Template for the deal name (supports variables {{var_contact_name}},
            {{var_contact_email}}, etc.)
          example: Novo deal - {{var_contact_name}}
        lead_name_template:
          type: string
          nullable: true
          description: >-
            Template for the name of the automatically created lead (supports
            variables {{var_contact_name}}, etc.)
          example: Novo lead - {{var_contact_name}}
        auto_create_contact:
          type: boolean
          description: >-
            Automatically create the contact in HubSpot when a conversation
            starts
          example: false
        owner_sync_source:
          enum:
            - DISABLED
            - CONTACT_OWNER
            - DEAL_OWNER
            - LEAD_OWNER
          type: string
          description: Owner sync source (DISABLED, CONTACT_OWNER, DEAL_OWNER, LEAD_OWNER)
          example: DISABLED
        sync_owner_on_webhook:
          type: boolean
          description: >-
            Automatically sync the owner when a Contact/Deal/Lead is updated in
            HubSpot
          example: false
        realtime_property_lookup:
          type: boolean
          description: >-
            Fetch the contact's properties from HubSpot in real time before
            building the Agent's prompt
          example: false
        send_transcript_on_resolve:
          type: boolean
          description: >-
            Send the conversation transcript to the CONTACT in HubSpot (the mode
            comes from contact_transcript_mode; the name is historical)
          example: false
        contact_transcript_mode:
          enum:
            - ON_RESOLVE
            - AUTO
          type: string
          description: >-
            When the transcript goes to the contact: ON_RESOLVE (when the
            conversation is closed) or AUTO (in segments, about 1h after the
            last message, at most 24h)
          example: ON_RESOLVE
        send_transcript_to_deal:
          type: boolean
          description: Also send the conversation transcript to the linked deal in HubSpot
          example: false
        deal_transcript_mode:
          enum:
            - ON_RESOLVE
            - AUTO
          type: string
          description: >-
            When the transcript goes to the deal: ON_RESOLVE (when the
            conversation is closed) or AUTO (in segments, about 1h after the
            last message, at most 24h)
          example: ON_RESOLVE
        search_contact_on_dispatch:
          type: boolean
          description: >-
            Look up the contact in HubSpot by phone as soon as the campaign is
            dispatched. Default true; no control in the UI, it exists as an
            operational escape hatch
          example: true
        degraded_search_count_today:
          type: number
          description: >-
            Lookups skipped today due to the volume cap (read-only, volatile
            indicator from Redis)
          example: 0
        observed_webhook_sources:
          description: >-
            Webhook sources (changeSource) already observed on this portal
            (server-grown, read-only)
          example:
            - CRM_UI
            - IMPORT
          type: array
          items:
            type: string
        disabled_webhook_sources:
          description: >-
            Disabled webhook sources: events from these sources are dropped at
            ingestion (shedding)
          example:
            - IMPORT
          type: array
          items:
            type: string
  securitySchemes:
    JWT-auth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: JWT authentication token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.